BuildRequires: perl(Term/ReadKey.pm) perl(WWW/Mechanize.pm)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           git-bugzilla
Version:        0
Release:        alt1_0.19.20091211git
Summary:        Attach patches to a bugzilla bug

Group:          Development/Tools
License:        GPLv2+
URL:            http://git.collabora.co.uk/?p=user/cassidy/git-bugzilla
# wget -O git-bugzilla-fc2be92.tar.gz \
# 'http://git.collabora.co.uk/?p=user/cassidy/git-bugzilla;a=snapshot;h=fc2be92;sf=tgz'
Source0:        %{name}-fc2be92.tar.gz
Patch0:         0001-Do-not-default-to-GNOME-bugzilla.patch
Patch1:         0002-Fix-a-warning-about-uninitialized-value.patch
Patch2:         0003-Attach-git-am-able-patches.patch
Patch3:         ersek-authenticate-fix-bugzilla.redhat.com-issues-4.4.x.patch

BuildRequires:  asciidoc asciidoc-a2x
BuildRequires:  rpm-build-perl
BuildRequires:  xmlto
Requires:       git-core
Requires:       perl(WWW/Mechanize.pm)
Requires:       perl(Crypt/SSLeay.pm)
Requires:       perl(LWP/Protocol/https.pm)
BuildArch:      noarch
Source44: import.info

%description
Add commits as attachments to a Bugzilla bug.


%prep
%setup -q -n %{name}
%patch0 -p1 -b .gnome
%patch1 -p1 -b .warn
%patch2 -p1 -b .gitam
%patch3 -p1 -b .ersek


%build
%make_build all doc


%install
make install DESTDIR=$RPM_BUILD_ROOT prefix=%{_prefix}
make -C docs install DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir}



%files
%{_bindir}/git-send-bugzilla
%{_mandir}/man1/git-send-bugzilla.1*


%changelog
* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.19.20091211git
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.18.20091211git
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.17.20091211git
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.16.20091211git
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.15.20091211git
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.14.20091211git
- update to new release by fcimport

* Mon Oct 20 2014 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.13.20091211git
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.12.20091211git
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.11.20091211git
- update to new release by fcimport

* Mon Aug 05 2013 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.10.20091211git
- update to new release by fcimport

* Tue May 21 2013 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.9.20091211git
- update to new release by fcimport

* Mon Mar 11 2013 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.8.20091211git
- update to new release by fcimport

* Fri Jan 11 2013 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.7.20091211git
- initial fc import

